using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 导航：版本号
    /// </summary>
    [Description("导航：版本号")]
    public class T_LR_LAW_VERSION : MesEntityBase
    {
        /// <summary>
        /// 法律法规表
        /// </summary>
        [Description("法律法规表")]
        [DataFieldForeignKey("Nav_Law","Nav_LawVersion")]
        public Guid LAW_ID { get; set; }
        /// <summary>
        /// 导航：法律法规表
        /// </summary>
        [Description("导航：法律法规")]
        public T_LR_LAW Nav_Law { get; set; }
        /// <summary>
        /// 标准号/发文字号
        /// </summary>
        [Description("标准号/发文字号")]
        [FormFieldEdit]
        public string VERSION_NUM { get; set; }
        /// <summary>
        /// 制修订日期
        /// </summary>
        [Description("制修订日期")]
        [FormFieldEdit]
        public DateTime UPDATE_TIME { get; set; }
        /// <summary>
        /// 施行日期
        /// </summary>
        [Description("施行日期")]
        [FormFieldEdit]
        public DateTime EXECUTE_TIME { get; set; }
        /// <summary>
        /// 入库时间
        /// </summary>
        [Description("入库时间")]
        [FormFieldEdit]
        public DateTime ENTER_TIME { get; set; }
        /// <summary>
        /// 状态 0:废止;1:现行;
        /// </summary>
        [Description("状态")]
        [EnumName("BSLawStatusEnum")]
        [FormFieldEdit]
        public BSLawStatusEnum VERSION_STATUS { get; set; }
        /// <summary>
        /// 附件
        /// </summary>
        [Description("附件")]
        public List<T_LR_LAW_VERSION_FILE> Nav_Files { get; set; }
    }
}
